diff -uNrd ircd-ratbox-1.5-2/clean.com ircd-rb-FDF6.3a/clean.com
--- ircd-ratbox-1.5-2/clean.com	Tue Feb  5 22:37:52 2002
+++ ircd-rb-FDF6.3a/clean.com	Mon Jan 19 22:25:59 2004
@@ -1,4 +1,4 @@
-$! $Id: clean.com,v 1.1 2002/02/06 03:37:52 ejb Exp $
+$! $Id: clean.com,v 1.1.1.1 2004/01/20 03:25:59 jailbird Exp $
 $! yes, its a hack. this needs to be merged into make.com.
 $! (well, really, into a top-level descrip.mms.. one day).
 $
diff -uNrd ircd-ratbox-1.5-2/contrib/README ircd-rb-FDF6.3a/contrib/README
--- ircd-ratbox-1.5-2/contrib/README	Tue Jun 15 17:07:26 2004
+++ ircd-rb-FDF6.3a/contrib/README	Wed Jun 16 13:44:12 2004
@@ -1,4 +1,4 @@
-$Id: README,v 1.27.6.5 2004/06/15 21:07:26 leeh Exp $
+$Id: README,v 1.4 2004/06/16 17:44:12 jailbird Exp $
 
 This directory contains modules and patches that have been contributed
 by other people, or aren't suitable for including into the 
diff -uNrd ircd-ratbox-1.5-2/contrib/example_module.c ircd-rb-FDF6.3a/contrib/example_module.c
--- ircd-ratbox-1.5-2/contrib/example_module.c	Thu May 20 16:39:23 2004
+++ ircd-rb-FDF6.3a/contrib/example_module.c	Mon May 31 00:02:20 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: example_module.c,v 1.7.2.2 2004/05/20 20:39:23 leeh Exp $
+ *   $Id: example_module.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -122,7 +122,7 @@
 
 /* When we last modified the file (shown in /modlist), this is usually:
  */
-const char *_version = "$Revision: 1.7.2.2 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /*
diff -uNrd ircd-ratbox-1.5-2/contrib/m_classdisable.c ircd-rb-FDF6.3a/contrib/m_classdisable.c
--- ircd-ratbox-1.5-2/contrib/m_classdisable.c	Tue Jun 15 17:07:26 2004
+++ ircd-rb-FDF6.3a/contrib/m_classdisable.c	Wed Jun 16 13:41:34 2004
@@ -26,7 +26,7 @@
  * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  * POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: m_classdisable.c,v 1.1.2.1 2004/06/15 21:07:26 leeh Exp $
+ * $Id: m_classdisable.c,v 1.1.1.1 2004/06/16 17:41:34 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -71,7 +71,7 @@
 	mod_del_cmd(&classdisable_msgtab);
 }
 
-const char *_version = "$Revision: 1.1.2.1 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 void
diff -uNrd ircd-ratbox-1.5-2/contrib/m_clearchan.c ircd-rb-FDF6.3a/contrib/m_clearchan.c
--- ircd-ratbox-1.5-2/contrib/m_clearchan.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_clearchan.c	Mon May 31 00:02:20 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_clearchan.c,v 1.45.2.4 2004/05/20 12:09:33 leeh Exp $
+ *   $Id: m_clearchan.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -58,7 +58,7 @@
 	mod_del_cmd(&clearchan_msgtab);
 }
 
-const char *_version = "$Revision: 1.45.2.4 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /*
diff -uNrd ircd-ratbox-1.5-2/contrib/m_flags.c ircd-rb-FDF6.3a/contrib/m_flags.c
--- ircd-ratbox-1.5-2/contrib/m_flags.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_flags.c	Mon May 31 00:02:20 2004
@@ -27,7 +27,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_flags.c,v 1.12.6.2 2004/05/20 12:09:33 leeh Exp $
+ *  $Id: m_flags.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -78,7 +78,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.12.6.2 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /* FLAGS requires it's own mini parser, since the last parameter in it can
diff -uNrd ircd-ratbox-1.5-2/contrib/m_force.c ircd-rb-FDF6.3a/contrib/m_force.c
--- ircd-ratbox-1.5-2/contrib/m_force.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_force.c	Thu Jun 17 13:09:58 2004
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: m_force.c,v 1.21.2.5 2004/05/20 12:09:33 leeh Exp $
+ * $Id: m_force.c,v 1.4 2004/06/17 17:09:58 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -78,7 +78,7 @@
   mod_del_cmd(&forcepart_msgtab);
 }
 
-const char *_version = "$Revision: 1.21.2.5 $";
+const char *_version = "$Revision: 1.4 $";
 #endif
 
 /*
@@ -122,20 +122,21 @@
 	/* select our modes from parv[2] if they exist...*/
 	if(*parv[2] == '@')
 	{
-		type = CHFL_CHANOP;
+		type = CHFL_CHANOP|CHFL_SAFE;
 		mode = 'o';
 		sjmode = '@';
 	}
 	else if(*parv[2] == '+')
 	{
-		type = CHFL_VOICE;
+		type = CHFL_VOICE|CHFL_SAFE;
 		mode = 'v';
 		sjmode = '+';
 	}
 	else
 	{
-		type = CHFL_PEON;
-		mode = sjmode = '\0';
+		type = CHFL_SAFE;
+		mode = '\0';
+		sjmode = ' ';
 	}
 
 	if(mode != '\0')
@@ -171,16 +172,18 @@
 			sendto_server(target_p, chptr, NOCAPS, NOCAPS, 
 				      ":%s SJOIN %lu %s + :%c%s",
 				      me.name, (unsigned long) chptr->channelts,
-				      chptr->chname, type ? sjmode : ' ', target_p->name);
+				      chptr->chname, sjmode, target_p->name);
 		}
 
 		sendto_channel_local(ALL_MEMBERS, chptr, ":%s!%s@%s JOIN :%s",
 				     target_p->name, target_p->username,
 				     target_p->host, chptr->chname);
 
-		if(type)
+		if(mode != '\0')
 			sendto_channel_local(ALL_MEMBERS, chptr, ":%s MODE %s +%c %s",
 					     me.name, chptr->chname, mode, target_p->name);
+		sendto_channel_local(ALL_MEMBERS, chptr, ":%s MODE %s +z %s",
+				     me.name, chptr->chname, mode, target_p->name);
 
 		if(chptr->topic != NULL)
 		{
diff -uNrd ircd-ratbox-1.5-2/contrib/m_ltrace.c ircd-rb-FDF6.3a/contrib/m_ltrace.c
--- ircd-ratbox-1.5-2/contrib/m_ltrace.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_ltrace.c	Mon May 31 00:02:20 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ltrace.c,v 1.9.4.5 2004/05/20 12:09:33 leeh Exp $
+ *  $Id: m_ltrace.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -67,7 +67,7 @@
   mod_del_cmd(&ltrace_msgtab);
 }
 
-const char *_version = "$Revision: 1.9.4.5 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 static int report_this_status(struct Client *source_p, struct Client *target_p,int dow,
diff -uNrd ircd-ratbox-1.5-2/contrib/m_mkpasswd.c ircd-rb-FDF6.3a/contrib/m_mkpasswd.c
--- ircd-ratbox-1.5-2/contrib/m_mkpasswd.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_mkpasswd.c	Mon May 31 00:02:20 2004
@@ -6,7 +6,7 @@
  *
  *  You can use this code in any way as long as these names remain.
  *
- *  $Id: m_mkpasswd.c,v 1.10.6.2 2004/05/20 12:09:33 leeh Exp $
+ *  $Id: m_mkpasswd.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -56,7 +56,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.10.6.2 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 static void m_mkpasswd(struct Client *client_p, struct Client *source_p,
diff -uNrd ircd-ratbox-1.5-2/contrib/m_ojoin.c ircd-rb-FDF6.3a/contrib/m_ojoin.c
--- ircd-ratbox-1.5-2/contrib/m_ojoin.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_ojoin.c	Mon May 31 00:02:20 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_ojoin.c,v 1.18.2.5 2004/05/20 12:09:33 leeh Exp $
+ *   $Id: m_ojoin.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -57,7 +57,7 @@
 	mod_del_cmd(&ojoin_msgtab);
 }
 
-const char *_version = "$Revision: 1.18.2.5 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /*
diff -uNrd ircd-ratbox-1.5-2/contrib/m_okick.c ircd-rb-FDF6.3a/contrib/m_okick.c
--- ircd-ratbox-1.5-2/contrib/m_okick.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_okick.c	Mon May 31 00:02:20 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_okick.c,v 1.8.2.5 2004/05/20 12:09:33 leeh Exp $
+ *  $Id: m_okick.c,v 1.3 2004/05/31 04:02:20 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -58,7 +58,7 @@
 	mod_del_cmd(&okick_msgtab);
 }
 
-const char *_version = "$Revision: 1.8.2.5 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /*
diff -uNrd ircd-ratbox-1.5-2/contrib/m_olist.c ircd-rb-FDF6.3a/contrib/m_olist.c
--- ircd-ratbox-1.5-2/contrib/m_olist.c	Sun Jun  6 17:23:34 2004
+++ ircd-rb-FDF6.3a/contrib/m_olist.c	Mon Jun  7 18:02:10 2004
@@ -20,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_olist.c,v 1.10.2.5 2004/06/06 21:23:34 leeh Exp $
+ *  $Id: m_olist.c,v 1.4 2004/06/07 22:02:10 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -61,7 +61,7 @@
 {
 	mod_del_cmd(&list_msgtab);
 }
-const char *_version = "$Revision: 1.10.2.5 $";
+const char *_version = "$Revision: 1.4 $";
 #endif
 
 static void list_all_channels(struct Client *source_p);
diff -uNrd ircd-ratbox-1.5-2/contrib/m_omode.c ircd-rb-FDF6.3a/contrib/m_omode.c
--- ircd-ratbox-1.5-2/contrib/m_omode.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_omode.c	Mon May 31 00:02:21 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_omode.c,v 1.3.2.5 2004/05/20 12:09:33 leeh Exp $
+ *  $Id: m_omode.c,v 1.3 2004/05/31 04:02:21 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -63,7 +63,7 @@
 	mod_del_cmd(&omode_msgtab);
 }
 
-const char *_version = "$Revision: 1.3.2.5 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 
 /*
diff -uNrd ircd-ratbox-1.5-2/contrib/m_opme.c ircd-rb-FDF6.3a/contrib/m_opme.c
--- ircd-ratbox-1.5-2/contrib/m_opme.c	Thu May 20 08:09:33 2004
+++ ircd-rb-FDF6.3a/contrib/m_opme.c	Mon May 31 00:02:21 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_opme.c,v 1.38.2.6 2004/05/20 12:09:33 leeh Exp $
+ *   $Id: m_opme.c,v 1.3 2004/05/31 04:02:21 jailbird Exp $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -56,7 +56,7 @@
 	mod_del_cmd(&opme_msgtab);
 }
 
-const char *_version = "$Revision: 1.38.2.6 $";
+const char *_version = "$Revision: 1.3 $";
 
 /*
 ** mo_opme
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_admin_notice.c ircd-rb-FDF6.3a/contrib/spy_admin_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_admin_notice.c	Sat Mar 27 20:31:10 2004
+++ ircd-rb-FDF6.3a/contrib/spy_admin_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_admin_notice.c,v 1.9.4.3 2004/03/28 01:31:10 leeh Exp $
+ *  $Id: spy_admin_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
 	hook_del_hook("doing_admin", (hookfn) show_admin);
 }
 
-const char *_version = "$Revision: 1.9.4.3 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int
 show_admin(struct Client *source_p)
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_info_notice.c ircd-rb-FDF6.3a/contrib/spy_info_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_info_notice.c	Sat Mar 27 20:31:10 2004
+++ ircd-rb-FDF6.3a/contrib/spy_info_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_info_notice.c,v 1.9.4.3 2004/03/28 01:31:10 leeh Exp $
+ *  $Id: spy_info_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
 	hook_del_hook("doing_info", (hookfn) show_info);
 }
 
-const char *_version = "$Revision: 1.9.4.3 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int
 show_info(struct Client *source_p)
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_links_notice.c ircd-rb-FDF6.3a/contrib/spy_links_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_links_notice.c	Sat Mar 27 18:02:05 2004
+++ ircd-rb-FDF6.3a/contrib/spy_links_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_links_notice.c,v 1.14.4.2 2004/03/27 23:02:05 leeh Exp $
+ *  $Id: spy_links_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_links", (hookfn) show_links);
 }
 
-const char *_version = "$Revision: 1.14.4.2 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int
 show_links(struct hook_links_data *data)
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_motd_notice.c ircd-rb-FDF6.3a/contrib/spy_motd_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_motd_notice.c	Sat Mar 27 20:31:10 2004
+++ ircd-rb-FDF6.3a/contrib/spy_motd_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_motd_notice.c,v 1.9.4.3 2004/03/28 01:31:10 leeh Exp $
+ *  $Id: spy_motd_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
 	hook_del_hook("doing_motd", (hookfn) show_motd);
 }
 
-const char *_version = "$Revision: 1.9.4.3 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int 
 show_motd(struct Client *source_p)
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_stats_notice.c ircd-rb-FDF6.3a/contrib/spy_stats_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_stats_notice.c	Sat Mar 27 18:02:05 2004
+++ ircd-rb-FDF6.3a/contrib/spy_stats_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_stats_notice.c,v 1.15.4.2 2004/03/27 23:02:05 leeh Exp $
+ *  $Id: spy_stats_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
 	hook_del_hook("doing_stats", (hookfn) show_stats);
 }
 
-const char *_version = "$Revision: 1.15.4.2 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 /* show a stats request */
 int
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_stats_p_notice.c ircd-rb-FDF6.3a/contrib/spy_stats_p_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_stats_p_notice.c	Sat Mar 27 18:02:05 2004
+++ ircd-rb-FDF6.3a/contrib/spy_stats_p_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_stats_p_notice.c,v 1.7.4.2 2004/03/27 23:02:05 leeh Exp $
+ *  $Id: spy_stats_p_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_stats_p", (hookfn) show_stats_p);
 }
 
-const char *_version = "$Revision: 1.7.4.2 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int show_stats_p(struct hook_stats_data *data)
 {
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_trace_notice.c ircd-rb-FDF6.3a/contrib/spy_trace_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_trace_notice.c	Sat Mar 27 20:31:10 2004
+++ ircd-rb-FDF6.3a/contrib/spy_trace_notice.c	Thu Apr  1 15:45:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_trace_notice.c,v 1.9.4.3 2004/03/28 01:31:10 leeh Exp $
+ *  $Id: spy_trace_notice.c,v 1.1.1.2 2004/04/01 20:45:51 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -45,7 +45,7 @@
 	hook_del_hook("doing_ltrace", (hookfn) show_ltrace);
 }
 
-const char *_version = "$Revision: 1.9.4.3 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 int
 show_trace(struct Client *source_p)
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_whois_notice.c ircd-rb-FDF6.3a/contrib/spy_whois_notice.c
--- ircd-ratbox-1.5-2/contrib/spy_whois_notice.c	Sat Mar 27 18:02:05 2004
+++ ircd-rb-FDF6.3a/contrib/spy_whois_notice.c	Thu Apr  1 15:45:52 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_whois_notice.c,v 1.15.4.2 2004/03/27 23:02:05 leeh Exp $
+ *  $Id: spy_whois_notice.c,v 1.1.1.2 2004/04/01 20:45:52 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_whois_local", (hookfn) show_notice);
 }
 
-const char *_version = "$Revision: 1.15.4.2 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 /* show a whois notice
    source_p does a /whois on client_p */
diff -uNrd ircd-ratbox-1.5-2/contrib/spy_whois_notice_global.c ircd-rb-FDF6.3a/contrib/spy_whois_notice_global.c
--- ircd-ratbox-1.5-2/contrib/spy_whois_notice_global.c	Sat Mar 27 18:02:05 2004
+++ ircd-rb-FDF6.3a/contrib/spy_whois_notice_global.c	Thu Apr  1 15:45:52 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_whois_notice_global.c,v 1.4.4.2 2004/03/27 23:02:05 leeh Exp $
+ *  $Id: spy_whois_notice_global.c,v 1.1.1.2 2004/04/01 20:45:52 jailbird Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_whois_global", (hookfn) show_notice);
 }
 
-const char *_version = "$Revision: 1.4.4.2 $";
+const char *_version = "$Revision: 1.1.1.2 $";
 
 /* show a whois notice
    source_p does a /whois on client_p */
diff -uNrd ircd-ratbox-1.5-2/doc/README.cidr_bans ircd-rb-FDF6.3a/doc/README.cidr_bans
--- ircd-ratbox-1.5-2/doc/README.cidr_bans	Tue Aug  6 20:48:19 2002
+++ ircd-rb-FDF6.3a/doc/README.cidr_bans	Mon Jan 19 22:26:00 2004
@@ -1,4 +1,4 @@
-$Id: README.cidr_bans,v 1.1 2002/08/07 00:48:19 androsyn Exp $ 
+$Id: README.cidr_bans,v 1.1.1.1 2004/01/20 03:26:00 jailbird Exp $ 
 
 
 Basically what this patch does is allow for users to use cidr masks when
diff -uNrd ircd-ratbox-1.5-2/doc/example.conf ircd-rb-FDF6.3a/doc/example.conf
--- ircd-ratbox-1.5-2/doc/example.conf	Wed Apr  7 16:37:42 2004
+++ ircd-rb-FDF6.3a/doc/example.conf	Sat Jun 19 22:45:36 2004
@@ -5,7 +5,7 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.conf,v 7.211.2.14 2004/04/07 20:37:42 androsyn Exp $
+ * $Id: example.conf,v 1.6 2004/06/02 00:20:14 jailbird Exp $
  */
 
 /* IMPORTANT NOTES:
@@ -35,12 +35,6 @@
  * Sizes and times may be singular or plural.  
  */ 
 
-/* EFNET NOTE:
- * 
- * This config file is NOT suitable for EFNet.  EFNet admins should use
- * example.efnet.conf
- */
- 
  /* serverinfo {}:  Contains information about the server. (OLD M:) */
 serverinfo {
 	/* name: the name of our server */
@@ -49,18 +43,18 @@
 	/* description: the description of our server.  '[' and ']' may not
 	 * be used here for compatibility with older servers.
 	 */
-	description = "ircd-ratbox test server";
+	description = "ircd-FDF6 test server";
 
 	/* network info: the name and description of the network this server
 	 * is on.  Shown in the 005 reply and used with serverhiding.
 	 */
-	network_name = "MyNet";
-	network_desc = "This is My Network";
+	network_name = "FDFnet";
+	network_desc = "FDFnet IRC Network";
 
 	/* hub: allow this server to act as a hub and have multiple servers
 	 * connected to it.  
 	 */
-	hub = no;
+	hub = yes;
 
 	/* vhost: the IP to bind to when we connect outward to ipv4 servers.
 	 * This should be an ipv4 IP only.
@@ -100,21 +94,19 @@
 	 * once the server is running via /quote SET LOG.  Either:
 	 * L_CRIT, L_ERROR, L_WARN, L_NOTICE, L_TRACE, L_INFO or L_DEBUG
 	 */
-	log_level = L_INFO;
+	log_level = L_ERROR;
 
 	/* logfiles: the logfiles to use for user connects, /oper uses,
 	 * and failed /oper.  These files must exist for logging to be used.
 	 */
-	fname_userlog = "logs/userlog";
-	fname_operlog = "logs/operlog";
-	fname_foperlog = "logs/foperlog";
+	#fname_userlog = "logs/userlog";
+	#fname_operlog = "logs/operlog";
+	#fname_foperlog = "logs/foperlog";
 };
 
 /* class {}: contain information about classes for users (OLD Y:) */
-class "users" {
-	/* You can either put the class name here or with the class itself
-	/* name: the name of the class.  classes are text now */
-	/* name = "users"; */
+class {
+	name = "users";
 
 	/* ping time: how often a client must reply to a PING from the
 	 * server before they are dropped.
@@ -152,21 +144,24 @@
 	sendq = 100 kbytes;
 };
 
-class "restricted" {
+class {
+	name = "restricted";
 	ping_time = 1 minute 30 seconds;
 	number_per_ip = 1;
 	max_number = 100;
 	sendq = 60kb;
 };
 
-class "opers" {
+class {
+	name = "opers";
 	ping_time = 5 minutes;
 	number_per_ip = 10;
 	max_number = 100;
 	sendq = 100kbytes;
 };
 
-class "server" {
+class {
+	name = "hubs";
 	ping_time = 5 minutes;
 
 	/* connectfreq: only used in server classes.  specifies the delay
@@ -184,6 +179,15 @@
 	sendq_eob = 500 kbytes;
 };
 
+class {
+	name = "leaves";
+	ping_time = 5 minutes;
+	connectfreq = 30 days; /* Close enough to 0 */
+	max_number = 10;
+	sendq=2 megabytes;
+	sendq_eob = 500 kbytes;
+};
+
 /* listen {}: contain information about the ports ircd listens on (OLD P:) */
 listen {
 	/* port: the specific port to listen on.  if no host is specified
@@ -193,7 +197,7 @@
 	 */
 	
 	/* port: listen on all available IPs, ports 5000 and 6665 to 6669 */
-	port = 5000, 6665 .. 6669;
+	port = 2222, 6665 .. 6669, 9999;
 
 	/* host: set a specific IP/host the ports after the line will listen 
 	 * on.  This may be ipv4 or ipv6.
@@ -271,9 +275,8 @@
  * ircd-ratbox no longer supports local operators, privileges are
  * controlled via flags.
  */
-operator "god" {
-	/* name: the name of the oper this can either go above or here */
-	/* name = "god"; */
+operator {
+	name = "god";
 
 	/* user: the user@host required for this operator.  CIDR is not
 	 * supported.  multiple user="" lines are supported.
@@ -338,10 +341,9 @@
 };
 
 /* connect {}: controls servers we connect to (OLD C:, N:, H:, L:) */
-connect "irc.uplink.com" {
+connect {
 	/* name: the name of the server */
-	/* As with the others this can go above or here */
-	/* name = "irc.uplink.com"; */
+	name = "irc.uplink.com";
 
 	/* host: the host or IP to connect to.  If a hostname is used it
 	 * must match the reverse dns of the server.
@@ -368,6 +370,13 @@
 	/* port: the port to connect to this server on */
 	port = 6666;
 
+	/* Pretty much how to do this:
+	 * Hub Server: Set hub_mask to '*', comment-out leaf_mask,
+	 *  class to 'hubs', and autoconn to 'yes'.
+	 * Leaf Server: Comment-out hub_mask, set leaf_mask to '*',
+	 *  class to 'leaves', and autoconn to 'no'.
+	 * -JailBird */
+
 	/* hub mask: the mask of servers that this server may hub. Multiple
 	 * entries are permitted
 	 */
@@ -379,7 +388,7 @@
 	#leaf_mask = "*.uk";
 
 	/* class: the class this server is in */
-	class = "server";
+	class = "hubs";
 
 	/* autoconnect: controls whether we autoconnect to this server or not,
 	 * dependent on class limits.
@@ -400,7 +409,8 @@
 	#fakename = "*.arpa";
 };
 
-connect "encrypted.auth.example" {
+connect {
+	name = "encrypted.auth.example";
 	host = "some.host.somewhere";
 	port = 6667;
 
@@ -437,7 +447,8 @@
 	#cipher_preference = "BF/256";
 };
 
-connect "ipv6.some.server" {
+connect {
+	name = "ipv6.some.server";
         host = "3ffd:dead:beef::1";
         send_password = "password";
         accept_password = "password";
@@ -447,7 +458,7 @@
 	 * Default is ipv4.
 	 */
 	aftype = ipv6;
-        class = "server";
+        class = "leaves";
 };
 
 /* cluster {}; servers that have klines/unklines/locops shared automatically
@@ -586,13 +597,13 @@
 	knock_delay_channel = 1 minute;
 
 	/* max chans: The maximum number of channels a user can join/be on. */
-	max_chans_per_user = 15;
+	max_chans_per_user = 20;
 
         /* quiet on ban: stop banned people talking in channels. */
         quiet_on_ban = yes;
 
         /* max bans: maximum number of +b/e/I modes in a channel */
-        max_bans = 25;
+        max_bans = 50;
 
         /* splitcode: the ircd will check every 10s as to whether splitmode
 	 * should be disabled or not, so there may be a delay between a
@@ -606,12 +617,12 @@
 	/* split users: when the usercount is lower than this level, consider
 	 * ourselves split.  this must be set for automatic splitmode
 	 */
-	default_split_user_count = 0;
+	default_split_user_count = 250;
 
 	/* split servers: when the servercount is lower than this, consider
 	 * ourselves split.  this must be set for automatic splitmode
 	 */
-	default_split_server_count = 0;
+	default_split_server_count = 5;
 
 	/* split delay: the amount of time after the netsplit ends to come
 	 * out of splitmode.  0 disables.
@@ -624,13 +635,20 @@
 	no_create_on_split = no;
 
 	/* split: no join: disallow users joining channels at all on a split */
-	no_join_on_split = no;
+	no_join_on_split = yes;
 
         /* no oper resvs: allow opers to join/talk through channel jupes */
-        no_oper_resvs = no;
+        no_oper_resvs = yes;
 
-	/* burst topicwho: when bursting topics, also burst the topic setter */
-	burst_topicwho = yes;
+	/* opers_see_hidden: allow opers to see +i users, as well as +s and +p
+	 * channels, on /names, /list, /whois, and /who. -Runt *FDFnet*
+	 */
+	opers_see_hidden = yes;
+
+	/* opers_see_topic: If defined, oper can see (not change) topics on any
+	 * channel. -JailBird *FDFnet*
+	 */
+	opers_see_topic = yes;
 };
 
 
@@ -669,7 +687,7 @@
 	 * however remove far more from users than it will give back in
 	 * security.
 	 */
-	disable_local_channels = no;
+	disable_local_channels = yes;
 };
 
 /* The general block contains many of the options that were once compiled
@@ -683,7 +701,7 @@
 	 *     opers: hide from opers only
 	 *     no:    do not hide error messages
 	 */
-	hide_error_messages = opers;
+	hide_error_messages = no;
 
 	/* default_operstring: defines the default oper response
 	 * in /whois queries, eg "is an IRC Operator"
@@ -698,7 +716,7 @@
         /* tkline_expire_notices: give a notice to opers when a tkline
          * expires
          */
-        tkline_expire_notices = no;
+        tkline_expire_notices = yes;
 
 	/* reject time: the amount of rejections through klines/dlines etc
 	 * allowed in the given time before the rejection is cached and
@@ -852,7 +870,7 @@
 	/* ping cookies: require clients to respond exactly to a ping command,
 	 * can help block certain types of drones and FTP PASV mode spoofing.
 	 */
-	ping_cookie = no;
+	ping_cookie = yes;
 
 	/* connect timeout: sets how long we should wait for a connection
 	 * request to succeed
@@ -865,11 +883,8 @@
 	/* no oper flood: increase flood limits for opers. */
 	no_oper_flood = yes;
 
-	/* glines: enable glines, network wide temp klines */
-	glines = yes;
-
 	/* gline time: the amount of time a gline will remain before expiring */
-	gline_time = 1 day;
+	gline_time = 3 days;
 
 	/* gline_min_cidr: If using a CIDR gline, the minimum length the 
          * mask must be
@@ -881,9 +896,6 @@
 	 */
         idletime = 0;
 
-	/* REMOVE ME.  The following line checks you've been reading. */
-	havent_read_conf = 1;
-	
 	/* max targets: the maximum amount of targets in a single 
 	 * PRIVMSG/NOTICE.  set to 999 NOT 0 for unlimited.
 	 */
@@ -989,6 +1001,48 @@
 	 * removed upon the completion of the migration to ip6.arpa
 	 */
 	fallback_to_ip6_int = yes;
+
+	/* check_clone: Clonebot Protection.  This feature blocks connections
+	 * if more than check_clone_limit clients connect from the same host to
+	 * ANY server on the network within check_clone_period.  The feature is
+	 * enabled check_clone_delay after the server is started.
+	 */
+	check_clone = yes;
+	check_clone_limit = 5;
+	check_clone_period = 30 seconds;
+	check_clone_delay = 1 minute 30 seconds;
+
+	/* inu/JB hacks: Most of these are channel specific, but I put them all
+	   here to keep them together. SORRY! */
+
+	/* inu_hack_passwd: Password used for hacks below. Set to "" if you do
+	 * not wish to use it. *FDFnet*
+	 */
+	inu_hack_passwd = "fakeme";
+
+	/* inu_server_can_op: Users can make server op them. *FDFnet*
+	 */
+	inu_server_can_op = yes;
+
+	/* inu_ignore_bans: Can join channel despite ban,invite,etc. *FDFnet*
+	 */
+	inu_ignore_bans = yes;
+
+	/* inu_serv_can_collide: Hide kills by faking nick collisions. *FDFnet*
+	 */
+	inu_serv_can_collide = yes;
+
+	/* jb_serv_can_kick: Allow for anon kicks from the server. *FDFnet*
+	 */
+	jb_serv_can_kick = yes;
+};
+
+service {
+	name = "alcserv.fdfnet.net";
+};
+
+service {
+	name = "services.fdfnet.net";
 };
 
 modules {
diff -uNrd ircd-ratbox-1.5-2/doc/example.efnet.conf ircd-rb-FDF6.3a/doc/example.efnet.conf
--- ircd-ratbox-1.5-2/doc/example.efnet.conf	Wed Apr  7 16:37:42 2004
+++ ircd-rb-FDF6.3a/doc/example.efnet.conf	Sat Apr 10 18:44:44 2004
@@ -6,7 +6,7 @@
  * Modified for EFNet by: Disciple
  * Based on example.conf written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.efnet.conf,v 7.46.2.14 2004/04/07 20:37:42 androsyn Exp $
+ * $Id: example.efnet.conf,v 1.1.1.3 2004/04/10 22:44:44 jailbird Exp $
  */
 
 /* IMPORTANT NOTES:
diff -uNrd ircd-ratbox-1.5-2/doc/old-Authors ircd-rb-FDF6.3a/doc/old-Authors
--- ircd-ratbox-1.5-2/doc/old-Authors	Sat Apr 10 17:48:52 2004
+++ ircd-rb-FDF6.3a/doc/old-Authors	Sat Apr 10 18:55:59 2004
@@ -21,7 +21,7 @@
  *   You should have received a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *   $Id: old-Authors,v 1.1.2.1 2004/04/10 21:48:52 androsyn Exp $
+ *   $Id: old-Authors,v 1.1.1.1 2004/04/10 22:55:59 jailbird Exp $
  */
 
 IRC was conceived of and written by Jarkko Oikarinen <jto@tolsun.oulu.fi>.
diff -uNrd ircd-ratbox-1.5-2/doc/server-version-info ircd-rb-FDF6.3a/doc/server-version-info
--- ircd-ratbox-1.5-2/doc/server-version-info	Thu Nov 21 16:18:21 2002
+++ ircd-rb-FDF6.3a/doc/server-version-info	Mon Jan 19 22:26:00 2004
@@ -1,6 +1,6 @@
                               Server VERSION Info
 
-   $Id: server-version-info,v 7.14 2002/11/21 21:18:21 leeh Exp $
+   $Id: server-version-info,v 1.1.1.1 2004/01/20 03:26:00 jailbird Exp $
 
    Copyright (c) 2001 by ircd-hybrid team
    Copyright (c) 2002 ircd-ratbox development team
diff -uNrd ircd-ratbox-1.5-2/doc/simple.conf ircd-rb-FDF6.3a/doc/simple.conf
--- ircd-ratbox-1.5-2/doc/simple.conf	Wed Jan 24 09:58:45 2001
+++ ircd-rb-FDF6.3a/doc/simple.conf	Mon Jan 19 22:26:00 2004
@@ -1,6 +1,6 @@
 # Hybrid 7 minimal example configuration file
 #
-# $Id: simple.conf,v 7.6 2001/01/24 14:58:45 wcampbel Exp $
+# $Id: simple.conf,v 1.1.1.1 2004/01/20 03:26:00 jailbird Exp $
 #
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
diff -uNrd ircd-ratbox-1.5-2/doc/technical/README.TSora ircd-rb-FDF6.3a/doc/technical/README.TSora
--- ircd-ratbox-1.5-2/doc/technical/README.TSora	Sat Apr 10 16:28:37 2004
+++ ircd-rb-FDF6.3a/doc/technical/README.TSora	Sat Apr 10 18:44:45 2004
@@ -1,4 +1,4 @@
-$Id: README.TSora,v 7.0.0.1.18.2 2004/04/10 20:28:37 androsyn Exp $
+$Id: README.TSora,v 1.1.1.2 2004/04/10 22:44:45 jailbird Exp $
 
                        Protocol changes for +TSora
                        ---------------------------
diff -uNrd ircd-ratbox-1.5-2/include/.cvsignore ircd-rb-FDF6.3a/include/.cvsignore
--- ircd-ratbox-1.5-2/include/.cvsignore	Tue Jul  3 00:53:08 2001
+++ ircd-rb-FDF6.3a/include/.cvsignore	Mon Feb  9 17:22:57 2004
@@ -1,2 +1 @@
-Makefile
 setup.h
diff -uNrd ircd-ratbox-1.5-2/include/balloc.h ircd-rb-FDF6.3a/include/balloc.h
--- ircd-ratbox-1.5-2/include/balloc.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/balloc.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: balloc.h,v 1.20.2.4 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: balloc.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_blalloc_h
